stringhelper.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/tstring.h>`
`#include <algorithm>`
`#include <limits>`
Include dependency graph for stringhelper.h:

Go to the source code of this file.

## Classes

struct | log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true >
struct | log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, false >

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Functions

LOG4CPLUS_EXPORT log4cplus::tstring | log4cplus::helpers::toUpper (const log4cplus::tstring &s)
| Returns `s` in upper case.
LOG4CPLUS_EXPORT tchar | log4cplus::helpers::toUpper (tchar)
LOG4CPLUS_EXPORT log4cplus::tstring | log4cplus::helpers::toLower (const log4cplus::tstring &s)
| Returns `s` in lower case.
LOG4CPLUS_EXPORT tchar | log4cplus::helpers::toLower (tchar)
template<class StringType, class OutputIter>
void | log4cplus::helpers::tokenize (const StringType &s, typename StringType::value_type c, OutputIter result, bool collapseTokens=true)
| Tokenize `s` using `c` as the delimiter and put the resulting tokens in `_result`.
template<class stringType, class intType>
void | log4cplus::helpers::convertIntegerToString (stringType &str, intType value)
template<class intType>
tstring | log4cplus::helpers::convertIntegerToString (intType value)
template<class intType>
std::string | log4cplus::helpers::convertIntegerToNarrowString (intType value)
template<typename Iterator, typename Separator>
void | log4cplus::helpers::join_worker (tstring &result, Iterator &start, Iterator &last, Separator const &sep)
| Join a list of items into a string.
template<typename Iterator>
void | log4cplus::helpers::join (tstring &result, Iterator start, Iterator last, tstring const &sep)
| Join a list of items into a string.
template<typename Iterator>
void | log4cplus::helpers::join (tstring &result, Iterator start, Iterator last, tstring::value_type sep)
| Join a list of items into a string.